#!/bin/sh
echo 'name: generic-deriving
version: 1.4.0
id: generic-deriving-1.4.0-4a40e028aff7443915b091344cc78d02

license: BSD3
copyright: 2011-2012 Universiteit Utrecht, University of Oxford
maintainer: generics@haskell.org
stability: experimental
homepage:
package-url:
synopsis: Generic programming library for generalised deriving.
description: This package provides functionality for generalising the deriving mechanism
             in Haskell to arbitrary classes. It was first described in the paper:
             .
             *  /A generic deriving mechanism for Haskell/.
             Jose Pedro Magalhaes, Atze Dijkstra, Johan Jeuring, and Andres Loeh.
             Haskell'\''10.
             .
             The current implementation integrates with the new GHC Generics. See
             <http://www.haskell.org/haskellwiki/GHC.Generics> for more information.
             Template Haskell code is provided for supporting GHC before version 7.2.
category: Generics
author: José Pedro Magalhães
exposed: True
exposed-modules: Generics.Deriving Generics.Deriving.Base
                 Generics.Deriving.Instances Generics.Deriving.ConNames
                 Generics.Deriving.Enum Generics.Deriving.Eq
                 Generics.Deriving.Foldable Generics.Deriving.Functor
                 Generics.Deriving.Show Generics.Deriving.Traversable
                 Generics.Deriving.Uniplate Generics.Deriving.TH
hidden-modules:
trusted: False
import-dirs: /usr/local/lib/ghc-7.4.2/cabal/generic-deriving-1.4.0
library-dirs: /usr/local/lib/ghc-7.4.2/cabal/generic-deriving-1.4.0
              /usr/local/lib
hs-libraries: HSgeneric-deriving-1.4.0
extra-libraries:
extra-ghci-libraries:
include-dirs: /usr/local/include
includes:
depends: base-4.5.1.0-12fddc14a7babb909dd3843e453b5660
         ghc-prim-0.2.0.0-23f345e1ec26a64d5ebc768bd0b2a5d9
         template-haskell-2.7.0.0-60724b98c233a73b2347be7414bd58d0
hugs-options:
cc-options:
ld-options:
framework-dirs:
frameworks:
haddock-interfaces: /usr/local/share/doc/ghc-7.4.2/cabal/generic-deriving-1.4.0/html/generic-deriving.haddock
haddock-html: /usr/local/share/doc/ghc-7.4.2/cabal/generic-deriving-1.4.0/html
' | '/usr/local/bin/ghc-pkg' 'update' '-' '--global' '--no-user-package-conf' "$@"
